#!/bin/bash

# Generate /etc/opt/slapos/get-network.sh
# from "$GIT_ROOT"/installation/get-network.sh.in
# using "$GIT_ROOT"/installation/display-host-information.sh

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=$(git rev-parse --show-toplevel)
cd "$GIT_ROOT"

source "$GIT_ROOT"/installation/display-host-information.sh

sed "s|%DEFAULT_NETMASK%|$DEFAULT_NETMASK|g;s|%DEFAULT_NETMASK_NUMBER%|$DEFAULT_NETMASK_NUMBER|g;s|%DEFAULT_INTERFACE%|$DEFAULT_INTERFACE|g;s|%DEFAULT_ROUTER%|$DEFAULT_ROUTER|g;s|%DEFAULT_IP%|$DEFAULT_IP|g" "$GIT_ROOT"/installation/get-network.sh.in > /etc/opt/slapos/get-network.sh
